> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ia-reframe-draft.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# NOTE: Searches personal clients for all users

> Search finds personal client credentials across all users, with optional filtering by query text or user.
 Request a modest page_size (≤25) to keep responses small.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/iam/personal_clients
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/iam/personal_clients:
    post:
      tags:
        - Personal Client
      summary: 'NOTE: Searches personal clients for all users'
      description: >-
        Search finds personal client credentials across all users, with optional
        filtering by query text or user.
         Request a modest page_size (≤25) to keep responses small.
      operationId: c1.api.iam.v1.PersonalClientSearchService.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.iam.v1.PersonalClientSearchServiceSearchRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.iam.v1.PersonalClientSearchServiceSearchResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.PersonalClientSearch.Search(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.PersonalClientSearchServiceSearchResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.personalClientSearch.search();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.iam.v1.PersonalClientSearchServiceSearchRequest:
      description: The PersonalClientSearchServiceSearchRequest message.
      properties:
        pageSize:
          description: The maximum number of results to return per page.
          format: int32
          type: integer
        pageToken:
          description: A pagination token returned from a previous Search call.
          type: string
        query:
          description: A text query to filter personal clients by display name.
          type: string
        users:
          description: Filter results to personal clients owned by the specified users.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserRef'
          type:
            - array
            - 'null'
      title: Personal Client Search Service Search Request
      type: object
      x-speakeasy-name-override: PersonalClientSearchServiceSearchRequest
    c1.api.iam.v1.PersonalClientSearchServiceSearchResponse:
      description: The PersonalClientSearchServiceSearchResponse message.
      properties:
        list:
          description: >-
            The list of personal client credentials matching the search
            criteria.
          items:
            $ref: '#/components/schemas/c1.api.iam.v1.PersonalClient'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            A token to retrieve the next page of results, or empty if there are
            no more results.
          type: string
      title: Personal Client Search Service Search Response
      type: object
      x-speakeasy-name-override: PersonalClientSearchServiceSearchResponse
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          type: string
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
    c1.api.iam.v1.PersonalClient:
      description: >-
        The PersonalClient message contains information about a presonal client
        credential.
      properties:
        allowSourceCidr:
          description: |-
            If set, only allows the CIDRs in the array to use the credential.
             Accepts IPv4 (e.g. 10.0.0.0/24) or IPv6 (e.g. 2001:db8::/32) CIDRs.
          items:
            type: string
          type:
            - array
            - 'null'
        clientId:
          description: The clientID of the credential.
          readOnly: true
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The display name of the personal client credential.
          type: string
        expiresTime:
          format: date-time
          type:
            - string
            - 'null'
        id:
          description: The unique ID of the personal client credential.
          readOnly: true
          type: string
        lastUsedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        scopedRoles:
          description: |-
            scoped_roles provides a list of IAM Roles
             that this OAuth2 Client's API permissions
             are reduced to. The permissions granted to OAuth2 Client
             are AND'ed against the owning User's own permissions.
          items:
            type: string
          type:
            - array
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userId:
          description: The ID of the user that this credential is created for.
          readOnly: true
          type: string
      title: Personal Client
      type: object
      x-speakeasy-name-override: PersonalClient
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````